Bug 283663 - Status tray strength indicator does not update when network manager extender is opened
Summary: Status tray strength indicator does not update when network manager extender ...
Status: RESOLVED FIXED
Alias: None
Product: solid
Classification: Frameworks and Libraries
Component: networkmanagement (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Will Stephenson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-09 19:56 UTC by Kai Uwe Broulik
Modified: 2011-10-12 00:18 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 0.9.0_beta2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Uwe Broulik 2011-10-09 19:56:23 UTC
Version:           unspecified (using Devel) 
OS:                Linux

When having the network manager extender opened, the strength behind each individual access point updates fine while the tray icon itself remains un-updated until you close the extender.

Reproducible: Always

Steps to Reproduce:
1. Click on the network management tray icon and keep it open
2. Walk around with your notebook and note the signal strengths

Actual Results:  
The signal strengths for each individual AP in the list are updated constantly while the WiFi icon in tray remains unchanged until you close the extender.

Expected Results:  
The tray icon should update as well.
Comment 1 Lamarque V. Souza 2011-10-12 00:18:54 UTC
Git commit 9d7bfcfb2bfa24393cde6010cdb5d9d54c89a703 by Lamarque V. Souza.
Committed on 11/10/2011 at 02:33.
Pushed by lvsouza into branch 'nm09'.

Reconnect access point signals when active access point changes.

BUG: 283663
FIXED-IN: 0.9.0_beta2

M  +13   -7    applet/networkmanager.cpp
M  +1    -0    applet/networkmanager.h

http://commits.kde.org/networkmanagement/9d7bfcfb2bfa24393cde6010cdb5d9d54c89a703